gov.ornl.mercury3.services

## Class AbstractMercuryRateusId

- java.lang.Object
- - gov.ornl.mercury3.services.AbstractMercuryRateusId

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MercuryRateusId

      public abstract class AbstractMercuryRateusId
      extends Object
      implements Serializable

  AbstractMercuryRateusId entity provides the base persistence definition of the MercuryRateusId entity.
  Author:
    MyEclipse Persistence Tools
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMercuryRateusId()` default constructor
    `AbstractMercuryRateusId(Date rateDate, String instance)` minimal constructor
    `AbstractMercuryRateusId(String name, Date rateDate, String instance, String link, String remote, String browser, String affiliation, String country, String email, String responseOne, String commentOne, String responseTwo, String commentTwo, String commentThree, String responseText)` full constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `String` | `getAffiliation()`
    `String` | `getBrowser()`
    `String` | `getCommentOne()`
    `String` | `getCommentThree()`
    `String` | `getCommentTwo()`
    `String` | `getCountry()`
    `String` | `getEmail()`
    `String` | `getInstance()`
    `String` | `getLink()`
    `String` | `getName()`
    `Date` | `getRateDate()`
    `String` | `getRemote()`
    `String` | `getResponseOne()`
    `String` | `getResponseText()`
    `String` | `getResponseTwo()`
    `int` | `hashCode()`
    `void` | `setAffiliation(String affiliation)`
    `void` | `setBrowser(String browser)`
    `void` | `setCommentOne(String commentOne)`
    `void` | `setCommentThree(String commentThree)`
    `void` | `setCommentTwo(String commentTwo)`
    `void` | `setCountry(String country)`
    `void` | `setEmail(String email)`
    `void` | `setInstance(String instance)`
    `void` | `setLink(String link)`
    `void` | `setName(String name)`
    `void` | `setRateDate(Date rateDate)`
    `void` | `setRemote(String remote)`
    `void` | `setResponseOne(String responseOne)`
    `void` | `setResponseText(String responseText)`
    `void` | `setResponseTwo(String responseTwo)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMercuryRateusId

          public AbstractMercuryRateusId()

      default constructor

    - #### AbstractMercuryRateusId

          public AbstractMercuryRateusId(Date rateDate,
                                 String instance)

      minimal constructor

    - #### AbstractMercuryRateusId

          public AbstractMercuryRateusId(String name,
                                 Date rateDate,
                                 String instance,
                                 String link,
                                 String remote,
                                 String browser,
                                 String affiliation,
                                 String country,
                                 String email,
                                 String responseOne,
                                 String commentOne,
                                 String responseTwo,
                                 String commentTwo,
                                 String commentThree,
                                 String responseText)

      full constructor

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getRateDate

          public Date getRateDate()

    - #### setRateDate

          public void setRateDate(Date rateDate)

    - #### getInstance

          public String getInstance()

    - #### setInstance

          public void setInstance(String instance)

    - #### getLink

          public String getLink()

    - #### setLink

          public void setLink(String link)

    - #### getRemote

          public String getRemote()

    - #### setRemote

          public void setRemote(String remote)

    - #### getBrowser

          public String getBrowser()

    - #### setBrowser

          public void setBrowser(String browser)

    - #### getAffiliation

          public String getAffiliation()

    - #### setAffiliation

          public void setAffiliation(String affiliation)

    - #### getCountry

          public String getCountry()

    - #### setCountry

          public void setCountry(String country)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### getResponseOne

          public String getResponseOne()

    - #### setResponseOne

          public void setResponseOne(String responseOne)

    - #### getCommentOne

          public String getCommentOne()

    - #### setCommentOne

          public void setCommentOne(String commentOne)

    - #### getResponseTwo

          public String getResponseTwo()

    - #### setResponseTwo

          public void setResponseTwo(String responseTwo)

    - #### getCommentTwo

          public String getCommentTwo()

    - #### setCommentTwo

          public void setCommentTwo(String commentTwo)

    - #### getCommentThree

          public String getCommentThree()

    - #### setCommentThree

          public void setCommentThree(String commentThree)

    - #### getResponseText

          public String getResponseText()

    - #### setResponseText

          public void setResponseText(String responseText)

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016. All rights reserved.